MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
NumberParser.hxx File Reference
`#include <assert.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
Include dependency graph for NumberParser.hxx:

Go to the source code of this file.

## Functions
static unsigned | ParseUnsigned (const char *p, char **endptr=nullptr, int base=10)
static int | ParseInt (const char *p, char **endptr=nullptr, int base=10)
static uint64_t | ParseUint64 (const char *p, char **endptr=nullptr, int base=10)
static int64_t | ParseInt64 (const char *p, char **endptr=nullptr, int base=10)
static double | ParseDouble (const char *p, char **endptr=nullptr)
static float | ParseFloat (const char *p, char **endptr=nullptr)

## Function Documentation

static double ParseDouble | ( | const char * | p,
|  | char ** | endptr = `nullptr`
| ) |  |
| inline static

Definition at line 71 of file NumberParser.hxx.

static float ParseFloat | ( | const char * | p,
|  | char ** | endptr = `nullptr`
| ) |  |
| inline static

Definition at line 79 of file NumberParser.hxx.

static int ParseInt | ( | const char * | p,
|  | char ** | endptr = `nullptr`,
|  | int | base = `10`
| ) |  |
| inline static

Definition at line 47 of file NumberParser.hxx.

static int64_t ParseInt64 | ( | const char * | p,
|  | char ** | endptr = `nullptr`,
|  | int | base = `10`
| ) |  |
| inline static

Definition at line 63 of file NumberParser.hxx.

static uint64_t ParseUint64 | ( | const char * | p,
|  | char ** | endptr = `nullptr`,
|  | int | base = `10`
| ) |  |
| inline static

Definition at line 55 of file NumberParser.hxx.

static unsigned ParseUnsigned | ( | const char * | p,
|  | char ** | endptr = `nullptr`,
|  | int | base = `10`
| ) |  |
| inline static

Definition at line 39 of file NumberParser.hxx.